本文へ移動
Bounty Developer

POST/api/events/{slug}/ticketing/boshu

「参加登録」の分類の、新しく作る、または操作を実行するために内容を送る API。ログインした本人として呼ぶ。

要約

チケットで案内する募集に はい / いいえ を答える(はい = 本人の下書き。本人の操作だけ)

呼び方と印

ログイン

URL に付ける値(パラメータ)

経路の中の波かっこの部分と、URL の ? の後ろに付ける値。「必須」の印があるものは省けない。

  • slugpath必須string

送るもの(本文)application/json

送る本文の欄。「必須」の印がある欄は省けない。

  • expectedActorId必須string(uuid)
  • expectedEventId任意string(uuid)
  • callIds必須array<string(uuid)>
    件数 ≤20
  • declinedCallIds任意array<string(uuid)>
    件数 ≤20 · 既定 []

返るもの(応答)200 · application/json

成功したときに返る形。入れ子の欄は、その行を押すと開く・閉じる。「任意」の印がある欄は返らないことがある。

  • eventIdstring
  • actorIdstring
  • callsarray<object>
    • idstring
    • titlestring
    • summarystring | null
    • closesAtstring
    • questionCountinteger
    • applicant"individual" | "group"
    • choice"yes" | "no" | null
  • selectedCallIdsarray<string>
  • declinedCallIdsarray<string>

失敗したとき(エラー)

失敗したときの状態コードと、その意味。本文の error の値で、プログラムが失敗の種類を見分けられる。

  • 400HTTP 400(x-bounty-error-codes を参照)
  • 401未ログイン(unauthorized)/ Bearer が無効(invalid_token。WWW-Authenticate 付き)
  • 403権限が無い
  • 404HTTP 404(x-bounty-error-codes を参照)
  • 409HTTP 409(x-bounty-error-codes を参照)
  • 428HTTP 428(x-bounty-error-codes を参照)
  • human_action_required
  • invalid_input
  • consent_required
  • actor_changed
  • event_not_found
  • call_not_found
  • call_closed
  • already_applied

呼び出しの見本

そのまま試せる呼び出しの例。curl と fetch をタブで切り替える。ID やトークンは自分の値に置き換える。

curl -X POST "https://bounty.spikes.4s.link/api/events/{slug}/ticketing/boshu" \
  -H "Authorization: Bearer $BEARER_AUTH" \
  -H "Content-Type: application/json" \
  -d '{
    "expectedActorId": "00000000-0000-4000-8000-000000000000",
    "callIds": []
  }'
POST /api/events/{slug}/ticketing/boshu | Bounty Developer